com.fasterxml.jackson.dataformat.csv

## Class CsvSchema.Column

- java.lang.Object
- - com.fasterxml.jackson.dataformat.csv.CsvSchema.Column

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CsvSchema

      public static class CsvSchema.Column
      extends Object
      implements Serializable

  Representation of info for a single column
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CsvSchema.Column` | `PLACEHOLDER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CsvSchema.Column(CsvSchema.Column src, CsvSchema.Column next)`
    `protected` | `CsvSchema.Column(CsvSchema.Column src, int index, CsvSchema.Column next)`
    `` | `CsvSchema.Column(int index, String name)`
    `` | `CsvSchema.Column(int index, String name, CsvSchema.ColumnType type)`
    `` | `CsvSchema.Column(int index, String name, CsvSchema.ColumnType type, int arrayElementSep)` Deprecated. use variant where `arrayElementSep` is `String`
    `` | `CsvSchema.Column(int index, String name, CsvSchema.ColumnType type, String arrayElementSep)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArrayElementSeparator()`
    `int` | `getIndex()`
    `String` | `getName()`
    `CsvSchema.Column` | `getNext()`
    `CsvSchema.Column` | `getNextWithName(String name)` Access that returns same as `getNext()` iff name of that column is same as given name
    `CsvSchema.ColumnType` | `getType()`
    `boolean` | `hasName(String n)`
    `boolean` | `isArray()`
    `CsvSchema.Column` | `withArrayElementSeparator(String separator)`
    `CsvSchema.Column` | `withElementSeparator(int separator)` Deprecated. use `withArrayElementSeparator(String)` instead
    `CsvSchema.Column` | `withName(String newName)`
    `CsvSchema.Column` | `withNext(CsvSchema.Column next)`
    `CsvSchema.Column` | `withNext(int index, CsvSchema.Column next)`
    `CsvSchema.Column` | `withType(CsvSchema.ColumnType newType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLACEHOLDER

          public static final CsvSchema.Column PLACEHOLDER

  - ### Constructor Detail

    - #### CsvSchema.Column

          public CsvSchema.Column(int index,
                          String name)

    - #### CsvSchema.Column

          public CsvSchema.Column(int index,
                          String name,
                          CsvSchema.ColumnType type)

    - #### CsvSchema.Column

          @Deprecated
          public CsvSchema.Column(int index,
                                     String name,
                                     CsvSchema.ColumnType type,
                                     int arrayElementSep)

      Deprecated. use variant where `arrayElementSep` is `String`

    - #### CsvSchema.Column

          public CsvSchema.Column(int index,
                          String name,
                          CsvSchema.ColumnType type,
                          String arrayElementSep)

    - #### CsvSchema.Column

          public CsvSchema.Column(CsvSchema.Column src,
                          CsvSchema.Column next)

    - #### CsvSchema.Column

          protected CsvSchema.Column(CsvSchema.Column src,
                          int index,
                          CsvSchema.Column next)

  - ### Method Detail

    - #### withName

          public CsvSchema.Column withName(String newName)

    - #### withType

          public CsvSchema.Column withType(CsvSchema.ColumnType newType)

    - #### withElementSeparator

          @Deprecated
          public CsvSchema.Column withElementSeparator(int separator)

      Deprecated. use `withArrayElementSeparator(String)` instead

    - #### withArrayElementSeparator

          public CsvSchema.Column withArrayElementSeparator(String separator)

    - #### withNext

          public CsvSchema.Column withNext(CsvSchema.Column next)

    - #### withNext

          public CsvSchema.Column withNext(int index,
                                  CsvSchema.Column next)

      Since:
        2.7

    - #### getIndex

          public int getIndex()

    - #### getName

          public String getName()

    - #### getType

          public CsvSchema.ColumnType getType()

    - #### getNext

          public CsvSchema.Column getNext()

    - #### getNextWithName

          public CsvSchema.Column getNextWithName(String name)

      Access that returns same as `getNext()` iff name of that column is same as given name

    - #### hasName

          public boolean hasName(String n)

    - #### getArrayElementSeparator

          public String getArrayElementSeparator()

      Since:
        2.5

    - #### isArray

          public boolean isArray()

Copyright © 2017 FasterXML. All rights reserved.